{
	"schema": "https://iot-ap.ikonke.com/model/product_3036.json",
	"productType": "airConditioning",
	"version": "1.1",
	"profile": {
		"heartbeat": "3000",
		"productCode": "3036",
		"productName": "肖邦系列.大金中央空调线控器Z3ZA(KONKE)"
	},
	"services": [
		{
			"identifier": "set",
			"name": "set",
			"required": true,
			"callType": "async",
			"desc": "属性设置",
			"method": "thing.service.property.set",
			"inputData": [
				{
					"identifier": "TargetTemperature",
					"name": "目标温度",
					"dataType": {
						"type": "double",
						"specs": {
							"min": "17",
							"max": "30",
							"unit": "°C",
							"unitName": "摄氏度",
							"step": "0.5"
						}
					}
				}, 
				{
					"identifier": "PowerSwitch",
					"name": "电源开关",
					"dataType": {
						"type": "bool",
						"specs": {
							"0": "关闭",
							"1": "开启"
						}
					}
				}, 
				{
					"identifier": "WindSpeed",
					"name": "风速",
					"dataType": {
						"type": "enum",
						"specs": {
							"1": "自动",
							"2": "高档",
							"3": "中档",
							"4": "低档"
						}
					}
				}, 
				{
					"identifier": "WorkMode",
					"name": "工作模式",
					"dataType": {
						"type": "enum",
						"specs": {
							"1": "制冷",
							"2": "制热",
							"3": "通风",
							"4": "除湿"
						}
					}
				},
                {
                    "identifier": "ChildLockState",
                    "name": "童锁",
                    "dataType": {
                        "type": "enum",
                        "specs": {
                            "0": "关闭",
                            "1": "开启"
                        }
                    }
                },
				{
                    "identifier": "TimingOffTime",
                    "name": "延时关机时间",
                    "dataType": {
						"type":"text",
						"specs":{
							"length":"10"
						}
                    }
                }
			],
			"outputData": []
		}, 
		{
			"identifier": "get",
			"name": "get",
			"required": true,
			"callType": "async",
			"desc": "属性获取",
			"method": "thing.service.property.get",
			"inputData": [
				"ChildLockState", 
				"TargetTemperature", 
				"CurrentTemperature", 
				"PowerSwitch", 
				"WindSpeed", 
				"WorkMode", 
				"TimingOffTime"
			],
			"outputData": [
				{
					"identifier": "TargetTemperature",
					"name": "目标温度",
					"dataType": {
						"type": "double",
						"specs": {
							"min": "17",
							"max": "30",
							"unit": "°C",
							"unitName": "摄氏度",
							"step": "0.5"
						}
					}
				},
                {
                    "identifier": "CurrentTemperature",
                    "name": "当前温度",
                    "dataType": {
                        "type": "double",
                        "specs": {
                            "min": "-30",
                            "max": "50",
                            "unit": "°C",
                            "unitName": "摄氏度",
                            "step": "0.5"
                        }
                    }
                },
				{
					"identifier": "PowerSwitch",
					"name": "电源开关",
					"dataType": {
						"type": "bool",
						"specs": {
							"0": "关闭",
							"1": "开启"
						}
					}
				}, 
				{
					"identifier": "WindSpeed",
					"name": "风速",
					"dataType": {
						"type": "enum",
						"specs": {
							"1": "自动",
							"2": "高档",
							"3": "中档",
							"4": "低档"
						}
					}
				}, 
				{
					"identifier": "WorkMode",
					"name": "工作模式",
					"dataType": {
						"type": "enum",
						"specs": {
							"1": "制冷",
							"2": "制热",
							"3": "通风",
							"4": "除湿"
						}
					}
				},
                {
                    "identifier": "ChildLockState",
                    "name": "童锁",
                    "dataType": {
                        "type": "enum",
                        "specs": {
                            "0": "关闭",
                            "1": "开启"
                        }
                    }
                },
				{
                    "identifier": "TimingOffTime",
                    "name": "延时关机时间",
                    "dataType": {
						"type":"text",
						"specs":{
							"length":"10"
						}
                    }
                }
			]
		}
	],
	"properties": [
		{
			"identifier": "PowerSwitch",
			"name": "电源开关",
			"accessMode": "rw",
			"required": true,
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "关闭",
					"1": "开启"
				}
			}
		}, 
		{
			"identifier": "TargetTemperature",
			"name": "目标温度",
			"accessMode": "rw",
			"required": true,
			"dataType": {
				"type": "double",
				"specs": {
					"min": "17",
					"max": "30",
					"unit": "°C",
					"unitName": "摄氏度",
					"step": "0.5"
				}
			}
		},
        {
            "identifier": "CurrentTemperature",
            "name": "当前温度",
            "accessMode": "r",
            "required": true,
            "dataType": {
                "type": "double",
                "specs": {
                    "min": "-30",
                    "max": "50",
                    "unit": "°C",
                    "unitName": "摄氏度",
                    "step": "0.5"
                }
            }
        },
		{
			"identifier": "WindSpeed",
			"name": "风速",
			"accessMode": "rw",
			"required": true,
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "自动",
					"2": "高档",
					"3": "中档",
					"4": "低档"
				}
			}
		},
        {
            "identifier": "ChildLockState",
            "name": "童锁",
            "accessMode": "rw",
            "required": true,
            "dataType": {
                "type": "enum",
                "specs": {
                    "0": "关闭",
                    "1": "开启"
                }
            }
        },
		{
			"identifier": "WorkMode",
			"name": "工作模式",
			"accessMode": "rw",
			"required": true,
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "制冷",
					"2": "制热",
					"3": "通风",
					"4": "除湿"
				}
			}
		},
		{
            "identifier": "TimingOffTime",
            "name": "延时关机时间",
            "accessMode": "rw",
            "required": true,
            "dataType": {
                "type":"text",
                "specs":{
                    "length":"10"
                }
            }
        }
	],
	"events": [
		{
			"identifier": "post",
			"name": "post",
			"type": "info",
			"required": true,
			"desc": "属性上报",
			"method": "thing.event.property.post",
			"outputData": [
				{
					"identifier": "TargetTemperature",
					"name": "目标温度",
					"dataType": {
						"type": "double",
						"specs": {
							"min": "17",
							"max": "30",
							"unit": "°C",
							"unitName": "摄氏度",
							"step": "0.5"
						}
					}
				},
                {
                    "identifier": "CurrentTemperature",
                    "name": "当前温度",
                    "dataType": {
                        "type": "double",
                        "specs": {
                            "min": "-30",
                            "max": "50",
                            "unit": "°C",
                            "unitName": "摄氏度",
                            "step": "0.5"
                        }
                    }
                },
				{
					"identifier": "PowerSwitch",
					"name": "电源开关",
					"dataType": {
						"type": "bool",
						"specs": {
							"0": "关闭",
							"1": "开启"
						}
					}
				}, 
				{
					"identifier": "WindSpeed",
					"name": "风速",
					"dataType": {
						"type": "enum",
						"specs": {
							"1": "自动",
							"2": "高档",
							"3": "中档",
							"4": "低档"
						}
					}
				}, 
                {
                    "identifier": "ChildLockState",
                    "name": "童锁",
                    "dataType": {
                        "type": "enum",
                        "specs": {
                            "0": "关闭",
                            "1": "开启"
                        }
                    }
                },
				{
					"identifier": "WorkMode",
					"name": "工作模式",
					"dataType": {
						"type": "enum",
						"specs": {
							"1": "制冷",
							"2": "制热",
							"3": "通风",
							"4": "除湿"
						}
					}
				},
				{
                    "identifier": "TimingOffTime",
                    "name": "延时关机时间",
                    "dataType": {
						"type":"text",
						"specs":{
							"length":"10"
						}
                    }
                }
			]
		}
	]
}